#1426 closed defect (fixed)

ioctl RTEMS_BLKIO_SYNCDEV not work

Reported by: Dmitriy Owned by: Sebastian Huber
Priority: normal Milestone: 4.10
Component: score Version: 4.10
Severity: normal Keywords:
Cc: nbkolchin@…, sebastian.huber@… Blocked By:
Blocking:

Description

cpukit/libblock/src/bdbuf.c
rtems_bdbuf_syncdev (dev_t dev)
{
........

pool->sync_active = true;
pool->sync_requester = rtems_task_self ();

  • pool->sync_device = dev;

+ pool->sync_device = dd->phys_dev->dev;

In other case bdbuf sometimes not sync with physical device.

Change History (3)

comment:1 Changed on Sep 29, 2009 at 6:05:52 AM by Nickolay Semyonov-Kolchin

Cc: Nickolay Semyonov-Kolchin added

comment:2 Changed on Nov 20, 2009 at 9:01:30 AM by Sebastian Huber

Cc: Sebastian Huber added
Owner: changed from Joel Sherrill to Sebastian Huber

comment:3 Changed on Dec 2, 2009 at 9:20:58 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Apparently fixed.

Note: See TracTickets for help on using tickets.